org.apache.cassandra.dht

## Class AbstractBounds.AbstractBoundsSerializer

- java.lang.Object
- - org.apache.cassandra.dht.AbstractBounds.AbstractBoundsSerializer

All Implemented Interfaces:
  IVersionedSerializer<AbstractBounds<?>>

Enclosing class:
  AbstractBounds<T extends RingPosition>

    public static class AbstractBounds.AbstractBoundsSerializer
    extends java.lang.Object
    implements IVersionedSerializer<AbstractBounds<?>>

### Constructor Summary

Constructors
Constructor and Description
`AbstractBounds.AbstractBoundsSerializer()`

### Method Summary

Methods
`AbstractBounds<?>` `deserialize(java.io.DataInput in, int version)` Deserialize into the specified DataInputStream instance.
`void` `serialize(AbstractBounds<?> range, DataOutputPlus out, int version)` Serialize the specified type into the specified DataOutputStream instance.
`long` `serializedSize(AbstractBounds<?> ab, int version)` Calculate serialized size of object without actually serializing.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractBounds.AbstractBoundsSerializer

    public AbstractBounds.AbstractBoundsSerializer()

### Method Detail

#### serialize

    public void serialize(AbstractBounds<?> range,
                 DataOutputPlus out,
                 int version)
                   throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Serialize the specified type into the specified DataOutputStream instance.

Specified by:
  `serialize` in interface `IVersionedSerializer<AbstractBounds<?>>`
Parameters:
  `range` - type that needs to be serialized
  `out` - DataOutput into which serialization needs to happen.
  `version` - protocol version
Throws:
  `java.io.IOException`

#### deserialize

    public AbstractBounds<?> deserialize(java.io.DataInput in,
                                int version)
                                  throws java.io.IOException

Description copied from interface: `IVersionedSerializer`
Deserialize into the specified DataInputStream instance.

Specified by:
  `deserialize` in interface `IVersionedSerializer<AbstractBounds<?>>`
Parameters:
  `in` - DataInput from which deserialization needs to happen.
  `version` - protocol version
Returns:
  the type that was deserialized
Throws:
  `java.io.IOException`

#### serializedSize

    public long serializedSize(AbstractBounds<?> ab,
                      int version)

Description copied from interface: `IVersionedSerializer`
Calculate serialized size of object without actually serializing.

Specified by:
  `serializedSize` in interface `IVersionedSerializer<AbstractBounds<?>>`
Parameters:
  `ab` - object to calculate serialized size
  `version` - protocol version
Returns:
  serialized size of object t